TRUNCATE(1)

NOMBRE
truncate - incrementa o reduce un archivo a un tamaño dado

SINOPSIS
truncate OPCIÓN... ARCHIVO...

DESCRIPCIÓN

Incrementa o reduce cada ARCHIVO al tamaño dado.

Si no existe ARCHIVO, éste se creará.

Si un ARCHIVO es mayor que el tamaño definido, se perderán los datos extra. Si ARCHIVO es menor, se ampliará y la parte adicional (agujero) se rellena con ceros.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-c, --no-create
    no crea ningún archivo

-o, --io-blocks
    considera TAMAÑO como la cantidad de bloques de E/S en lugar de como bytes.

-r, --reference=RARCHIVO
    tamaño base de RARCHIVO

-s, --size=TAMAÑO
    define o ajusta el archivo a TAMAÑO bytes.

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

El argumento TAMAÑO es un entero y una unidad opcional (ejemplo: 10K es 10 * 1024). Las unidades son K, M, G, T, P, E, Z, Y (potencias de 1024) o KB, MB, ... (potencias de 1000). También se pueden usar prefijos binarios: KiB = K, MiB = M, etc.

TAMAÑO puede ir precedido de algún modificador como: '+' aumentado, '-' reducido, '<' como máximos, '>' como mínimo, '/'

AUTOR
Escrito por Padraig Brady.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
dd(1), truncate(2), ftruncate(2)

Documentación completa en <https://www.gnu.org/software/coreutils/truncate>
también disponible localmente en: info '(coreutils) truncate invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.